Server Group API

  • reference
The Server Groups REST API manages Server Group Awareness. This enables logical server-groupings to be defined across the cluster: each group may be physically located on a specific rack or availability zone.

APIs in this Section

Server Group Awareness provides enhanced availability. Specifically, it protects a cluster from large-scale infrastructure failure, through the definition of groups. Each group is created by an appropriately authorized administrator, and specified to contain a subset of the nodes within an Operational Insights cluster.

For a complete overview, see Manage Server Groups. For information about Role-Based Access Control, see Role-Based Access Control.

For a list of all methods and URIs covered in this section, see the table provided below.

HTTP Method URI Documented at

GET

/pools/default/serverGroups

Getting Group Information

POST

/pools/default/serverGroups

Creating Groups

POST

/pools/default/serverGroups/<:uuid>/addNode

Adding Nodes to Groups

PUT

/pools/default/serverGroups/<:uuid>

Renaming Groups

PUT

/pools/default/serverGroups?rev=<:number>

Updating Group Membership

DELETE

/pools/default/serverGroups/<:uuid>

Deleting Groups